package state51::Logger::Event::Contract::Created;
use Moose;
use MooseX::Types::Moose qw/ Str Int /;
use namespace::autoclean;

extends 'state51::Logger::Event::Contract';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{Contract ID: %d created by %s"},
    attributes    => [qw/ contract_id user_id /],
};

__PACKAGE__->meta->make_immutable;
