package state51::Logger::Event::Feature::Enabled;
use Moose;
use MooseX::Types::Moose qw/ Str /;

extends 'state51::Logger::Event::Feature';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{feature name "%s" enabled},
    attributes => [qw/ name /],
};

__PACKAGE__->meta->make_immutable;
1;

