package state51::Logger::Event::GreedbagCheckout::ManyPaymentAttempts;
use Moose;
use MooseX::Storage ();
use namespace::autoclean;

extends 'state51::Logger::Event::GreedbagCheckout';

has gateway => (
    is      => 'ro',
    default => 'unknown',
);

has greed_order => (
    is       => 'ro',
    required => 1,
);


with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => qq{%s: %s},
    attributes    => [qw/gateway message/],
};

__PACKAGE__->meta->make_immutable;

1;

