package state51::Logger::Event::MailService;
use Moose;
use MooseX::Types::Moose qw/ Num Str /;
use namespace::autoclean;

extends 'state51::Logger::Event';

has mailservice_id => ( isa => Num, required => 1, is => 'ro' );
has mailservice_name => ( isa => Str, required => 1, is => 'ro' );

__PACKAGE__->meta->make_immutable;
