package state51::Logger::Event::MailService::Resubscribe;
use Moose;
use MooseX::Types::Moose qw/ Num /;
use namespace::autoclean;

extends 'state51::Logger::Event::MailService';

has role_id => ( isa => Num, required => 1, is => 'ro' );

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => q{%s was resubscribed to %s (%s)},
    attributes => [qw/ role_id mailservice_name mailservice_id /],
};

__PACKAGE__->meta->make_immutable;
