use 5.010001;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    NAME              => 'state51::Logger',
    VERSION_FROM      => 'lib/state51/Logger.pm', # finds $VERSION
    PREREQ_PM         => {
        'Class::Data::Inheritable'       =>  0,
        'Class::Load'                    =>  0,
        'Class::MOP'                     =>  0,
        'Data::UUID'                     =>  0,
        'Devel::GlobalDestruction'       =>  0,
        'Encode'                         =>  0,
        'Log::Message::Structured'       =>  0,
        'Method::Signatures::Simple'     =>  0,
        'Moose'                          =>  0,
        'Moose::Autobox'                 =>  0,
        'MooseX::Getopt'                 =>  0,
        'MooseX::Role::WithOverloading'  =>  0,
        'MooseX::Singleton'              =>  0,
        'MooseX::Storage'                =>  0,
        'MooseX::Types'                  =>  0,
        'MooseX::Types::LoadableClass'   =>  0,
        'MooseX::Types::Moose'           =>  0,
        'MooseX::Types::Varchar'         =>  0,
        'Net::RabbitMQ'                  =>  0,
        'POSIX::AtFork'                  =>  0,
        'Path::Class'                    =>  0,
        'Readonly'                       =>  0,
        'Sub::Exporter::Progressive'     =>  0,
        'Sub::StrictDecl'                =>  0,
        'Sys::Hostname'                  =>  0,
        'Term::ANSIColor'                =>  0,
        'Test::Exception'                =>  0,
        'Try::Tiny'                      =>  0,
        'XML::Compile'                   =>  0,
        'aliased'                        =>  0,
        'bareword::filehandles'          =>  0,
        'indirect'                       =>  0,
        'multidimensional'               =>  0,
        'namespace::autoclean'           =>  0,
        'state51::Shared'                =>  0,
    },
    ($] >= 5.005 ?     ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM  => 'lib/state51/Logger.pm', # retrieve abstract from module
       AUTHOR         => 'OpenIMP') : ()),
    META_MERGE => {
        resources => {
            repository => 'https://gitlab.openimp.com/openimp/openimpdevs/state51-Logger',
        },
    },
);
