package state51::Logger::Event::GreedbagCheckout::FailedAlert;
use Moose;
use MooseX::Storage ();
use namespace::autoclean;

extends 'state51::Logger::Event::GreedbagCheckout';

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
    format_string => qq{%s %s %s %s},
    attributes    => [qw/vhost path username message /],
};

__PACKAGE__->meta->make_immutable;

1;

