package state51::Logger::Event::Hit;
use Moose;
use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::WebHit';
with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
     format_string => q{%s: Hit to %s/%s took %ss, did %s queries"},
    attributes => [qw/ hitid vhost path time queries /],
};

__PACKAGE__->meta->make_immutable;

