package state51::Logger::Event::MailService::ManagementTool;
use Moose;
use MooseX::Types::Moose qw/ Num Str /;
use namespace::autoclean;

extends 'state51::Logger::Event::MailService';

with 'state51::Logger::Event::Role::WebHit';

# admin person who managed the mailservice
has role_id => ( isa => Num, required => 1, is => 'ro' );

has action  => ( isa => Str, required => 0, is => 'ro' );

__PACKAGE__->meta->make_immutable;

1;
