package state51::Logger::Event::MogileGetPaths;
use Moose;
use MooseX::Types::Moose qw/ Num Int /;
use Moose::Util::TypeConstraints;

use namespace::autoclean;

extends 'state51::Logger::Event';

with 'state51::Logger::Event::Role::MogileGetPaths';

sub suppress_console_display { 1 }

with 'state51::Log::Message::Structured::Stringify::Sprintf' => {
     format_string => q{Mogile Paths found for '%s' by asking mogile directly, took %.6fs},
    attributes => [qw/ dkey duration /],
};

__PACKAGE__->meta->make_immutable;
1;

